/*
	**
	** packet-summary.h
	**
	** Stores and retrieves information about collections of packets
	**
	** Copyright 1998 Damien Miller <dmiller@ilogic.com.au>
	**
	** This software is licensed under the terms of the GNU General 
	** Public License (GPL). Please see the file COPYING for details.
	** 
	** $Id: packet-summary.h,v 1.7 1998/11/29 08:53:38 dmiller Exp $
	**
 */

#ifndef _PACKET_SUMMARY_H
#define _PACKET_SUMMARY_H

#include "packet-parse.h"
#include "summary-structures.h"

/* Sets up packet summary data structures */
void packet_summary_init(summary_t **ps);

/* Deallocates packet summary data structures */
void packet_summary_free(summary_t *ps);

/* Adds a packet's information to the summary */
void store_packet_info(summary_t *ps, pinfo_t *pinfo);

/* Finds hostnames for each stored host */
void resolve_host_names(summary_t *ps);

/* Return RCS version */
const char *ps_version(void);

#endif
